/////////////////////////////////////////////////////////////////////////
/////  sender.h - KLasse zum Senden vom Kommandos 

#ifndef _SENDER_H_
#define _SENDER_H_

#include "commando.h"
#include "baseskills.h"
#include "weltmod.h"

/****************************************************************************
  Achtung:

  Fall ein Say abgesetzt wurde, ist der Text nicht mehr zugreifbar - braucht 
  er ja auch nicht. Falls cmd==NOTHING wurde kein Kommando abgesetzt - es
  braucht nur die Stamina hochgesetzt werden. Falls status==LAST, war es das 
  letzte Kommando einer Folge.
  *************************************************************************/

class Sender 
{
private:
  cmd_struct *cmd_queue;
  BaseSkills *myskills;
  
  int queue_len;
  int index_w, index_r;
  
public:
  Sender(BaseSkills *skills, int queue_size=10);

  void InitializeQueue();

  void SetCommand(int cmd, float arg, int stat=IGNORE);
  inline void SetCommand(int cmd, double arg, int stat=IGNORE){
    SetCommand(cmd, (float) arg, stat);}
  
  void SetCommand(int cmd, float arg1, float arg2, int stat=IGNORE);
  inline void SetCommand(int cmd, double arg1, double arg2, int stat=IGNORE){
    SetCommand(cmd, (float) arg1, (float) arg2, stat);}
  
  void SetCommand(int cmd, int arg1, int arg2, int stat=IGNORE);
  
  void SetCommand(int cmd, char *arg, int stat=IGNORE);
  
  void SendCommand();
};

#endif




















